<?php
// include core configuration
include_once "config/core.php";

// include classes
include_once 'config/database.php';

// set page title
$page_title = "Create Category";

// import page header HTML
include_once "layout_head.php";

// read products button
echo "<div class='overflow-hidden margin-bottom-1em'>";
	echo "<a href='read_categories.php' class='btn btn-primary pull-right'>";
		echo "<span class='glyphicon glyphicon-list'></span> Read Categories";
	echo "</a>";
echo "</div>";

// if the form was submitted
if($_POST){

	// set category property values
	$name=htmlspecialchars(strip_tags($_POST['name']));
	$description=htmlspecialchars(strip_tags($_POST['description']));
	$created=date('Y-m-d H:i:s');

	if(empty($name)){
		echo "<div class='alert alert-danger'>Name cannot be empty.</div>";
	}

	else if(empty($description)){
		echo "<div class='alert alert-danger'>Description cannot be empty.</div>";
	}

	else{
		// create the category
		// insert query
		$query = "INSERT INTO categories
				SET name = ?, description = ?, created = ?";

		// prepare query statement
		$stmt = $con->prepare($query);

		// bind values
		$stmt->bindParam(1, $name);
		$stmt->bindParam(2, $description);
		$stmt->bindParam(3, $created);

		// execute query
		if($stmt->execute()){

			// tell the user new category was created
			echo "<div class=\"alert alert-success alert-dismissable\">";
				echo "<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>";
				echo "Category was created.";
			echo "</div>";
		}

		// if unable to create the category, tell the user
		else{
			echo "<div class=\"alert alert-danger alert-dismissable\">";
				echo "<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>";
				echo "Unable to create category.";
			echo "</div>";
		}
	}
}
?>

<!-- HTML form for creating a category -->
<form action='create_category.php' method='post'>

	<table class='table table-hover table-responsive table-bordered'>

		<tr>
			<td>Name</td>
			<td><input type='text' name='name' class='form-control' required></td>
		</tr>

		<tr>
			<td>Description</td>
			<td><textarea name='description' class='form-control' required></textarea></td>
		</tr>

		<tr>
			<td></td>
			<td>
				<button type="submit" class="btn btn-primary">
					<span class='glyphicon glyphicon-plus'></span> Create
				</button>
			</td>
		</tr>

	</table>
</form>

<?php
// include page footer HTML
include_once "layout_foot.php";
?>
