<?php
// core configuration
include_once "config/core.php";

// include classes
include_once "config/database.php";

// get search term
$search_term=isset($_GET['s']) ? htmlspecialchars(strip_tags($_GET['s'])) : '';

// set page title
$page_title = "Category Search Results";

// include page header HTML
include_once "layout_head.php";

// search category based on search term
// search query
$query = "SELECT id, name, description
		FROM categories
		WHERE name LIKE ? OR description LIKE ?
		ORDER BY name ASC
		LIMIT ?, ?";

// prepare query statement
$stmt = $con->prepare( $query );

// bind  variables
$query_search_term = "%{$search_term}%";
$stmt->bindParam(1, $query_search_term);
$stmt->bindParam(2, $query_search_term);
$stmt->bindParam(3, $from_record_num, PDO::PARAM_INT);
$stmt->bindParam(4, $records_per_page, PDO::PARAM_INT);

// execute query
$stmt->execute();

// count number of categories returned
$num = $stmt->rowCount();

// to identify page for paging
$page_url="search_categories.php?s={$search_term}&";

// include categories table HTML template
include_once "read_categories_template.php";

// include page footer HTML
include_once "layout_foot.php";
?>
